Subject: bug#23812: 25.0.95; Minor glitch in dired listing due to non English host language

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Dec 2020 18:50:07 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Tue, 15 Dec 2020 08:09:29 +0100
> Cc: [email-masked]
> 
> >   /home/lele/something:
> >   total used in directorye 8 available 24407396
> >   drwxrwxr-x 2 lele lele 4096 giu 21 10:02 .
> >   drwxr-xr-x 5 lele lele 4096 giu 21 10:02 ..
> 
> (This bug report unfortunately got no response at the time.)
> 
> This bug is still present.  Steps to reproduce:
> 
> LANGUAGE=it_IT.UTF-8 emacs -Q .
> 
> (You need to have an Italian locale installed.)
> 
> There's been a bit of discussion over the years about that summary line
> in Dired, but I'm not sure whether anybody came to any conclusions.  I
> guess we do not want to run "ls" under the C locale?  That would make
> all the lines be in English, including the dates...

I think we should delete everything except the number at the end.